/* $Id: conf.h,v 1.26 2006/03/20 01:03:54 rav Exp $ */

/* Intro {{{
 * ----------------------------------------------------------------
 * DConnect Daemon
 *
 *	 #(@) Copyright (c) 2002, DConnect development team
 *	 #(@) Homepage: http://www.dc.ds.pg.gda.pl/
 *
 * ----------------------------------------------------------------
 * }}} */

#if !defined(__CONF_H_INCLUDED__)
#define __CONF_H_INCLUDED__

/* read a line from FP and return the pointer to allocated storage */
char *read_whole_line(FILE *fp, int line_style);

/* parse config file */
char parse_config(int start, config_t *conf);

/* parse text file and play to public chat window */
void playfile(userrec_t *usr,char *msgfile);

/* verify login and password {{{ */
char validlogin(userrec_t *usr,char *login,char *pass);

/* validhost() - verify host access */
char validhost(userrec_t *usr,char *access_file,int deeper);

/* nick_allowed() - verify nick access */
char nick_allowed(userrec_t *usr,char *nick);

/* penalties_read() - reading penalties file */
void penalties_read();

/* penalties_write() - writing penalties file */
void penalties_write();

#endif

/* VIM Settings {{{
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * soft-stop-width: 4
 * c indent on
 * End:
 * vim600: sw=4 ts=4 sts=4 cindent fdm=marker
 * vim<600: sw=4 ts=4
 * }}} */
